[Overview][Types][Classes][Index] | Reference for unit 'ImgList' (#lcl)

# TChangeLink

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TChangeLink - class to notify when an Imagelist changes

## Declaration

Source position: imglist.pp line 69

`type TChangeLink = class(TObject)`
`public`
`destructor Destroy; override;` |  |
`procedure Change; virtual;` |  | Change - software emulation of the OnChange event
`property OnChange: TNotifyEvent; [rw]` |  | OnChange - event handler for a change in the Imagelist
`property Sender: TCustomImageList; [rw]` |  | Sender - the imagelist that has notified us of a change
`end;`

## Inheritance

`TChangeLink` |  | TChangeLink - class to notify when an Imagelist changes
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.